package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: NftPriceUpdateReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 16:00
 */
@Data
public class Nft052PriceUpdateRespDto implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft052PriceUpdateRespDto obj = new Nft052PriceUpdateRespDto();
    public static Nft052PriceUpdateRespDto getNew() {
        try {
            return (Nft052PriceUpdateRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft052PriceUpdateRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
